Entry 5736

Ebuild.sh Changes

   

Submitted by anonymous on Aug. 2, 2010 at 5:02 p.m.
Language: Diff. Code size: 763 bytes.

--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -695,9 +695,11 @@ dyn_unpack() {
        if [ "${newstuff}" == "yes" ]; then
                # We don't necessarily have privileges to do a full dyn_clean here.
                rm -rf "${PORTAGE_BUILDDIR}"/{.unpacked,.prepared,.configured,.compiled,.tested,.installed,.packaged,build-info}
-               rm -rf "${WORKDIR}"
+               if ! hasq keepwork $FEATURES ; then
+                       rm -rf "${WORKDIR}"
+               fi
                if [ -d "${T}" ] && \
-                       ! hasq keeptemp $FEATURES && ! hasq keepwork $FEATURES ; then
+                       ! hasq keeptemp $FEATURES ; then
                        rm -rf "${T}" && mkdir "${T}"
                fi
        fi

This snippet took 0.00 seconds to highlight.

Back to the Entry List or Home.

Delete this entry (admin only).